
Foreman - Bug #6712

PGError when media name exceeds 255 characters

07/22/2014 03:53 AM - Dominic Cleal

Status: Duplicate   

Priority: Normal   

Assignee: Ori Rabin   

Category: Database   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1121936 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1593

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1121936

Description of problem:

I was trying to perform boundary test are created a install media with more than 255 characters and UI raises following error:

Error

PGError: ERROR: value too long for type character varying(255) : INSERT INTO "media" ("config_path", "created_at", "image_path",

"media_path", "name", "os_family", "path", "updated_at") VALUES ($1, $2, $3, $4, $5, $6, $7, $8) RETURNING "id"

Version-Release number of selected component (if applicable):

sat6 GA snap1

How reproducible:

always

Steps to Reproduce:

1. create media with more than 255 characters of name

2.

3.

Actual results:

Error

PGError: ERROR: value too long for type character varying(255) : INSERT INTO "media" ("config_path", "created_at", "image_path",

"media_path", "name", "os_family", "path", "updated_at") VALUES ($1, $2, $3, $4, $5, $6, $7, $8) RETURNING "id"

Expected results:

A proper validation error should be raised.

Additional info:

production.log:

Processing by MediaController#create as */*

Parameters: {"utf8"=>"✓", "search"=>"", "authenticity_token"=>"VX+UKFuIgqWyHwxAdhnLIrzFLAmDgGh5qENjFuLnsso=",

"medium"=>{"name"=>"GlQTCDmDxesNUcEJdEXrqTPuIbBUmQwkejHGSrMbHsLGdhADopvRvwnLXHMReeAtIxlkRNpuKAkHGHM

ziLsnOndDMfemCoDgJewqSrwAXUTLAKeNnCeleDJeGBVnlmzBzZamfDmUBMjqJchefmIxCnJuHGoHilwrnMCRNZuMQnwyEguohC

jIMznZRkGHrZXKmHikPGUblhRyBJxoZoadIiUKmlhoAxtzBZtjezFyrIsQSZvcYSjTuwGHwYjUCbM1",

"path"=>"http://mirror.fakeos.org/vVcP/$major.$minor/os/$arch", "media_path"=>"", "config_path"=>"", "image_path"=>"",

"os_family"=>"Redhat", "location_ids"=>[""], "organization_ids"=>[""]}}

Operation FAILED: PGError: ERROR:  value too long for type character varying(255)

: INSERT INTO "media" ("config_path", "created_at", "image_path", "media_path", "name", "os_family", "path", "updated_at")

VALUES ($1, $2, $3, $4, $5, $6, $7, $8) RETURNING "id"

Rendered common/500.html.erb (6.9ms)

Completed 500 Internal Server Error in 23ms (Views: 7.6ms | ActiveRecord: 2.1ms)

Related issues:

Related to Foreman - Bug #4153: Model validation error Duplicate 01/21/2014
https://bugzilla.redhat.com/show_bug.cgi?id=1121936


Related to Foreman - Bug #6658: creating compute resource with name more than... Duplicate 07/17/2014

Is duplicate of Foreman - Bug #6694: PGError: while creating OS with long (gr... Closed 07/20/2014

History

#1 - 07/22/2014 03:53 AM - Dominic Cleal

- Category set to Database

#2 - 07/22/2014 03:53 AM - Dominic Cleal

- Related to Bug #4153: Model validation error added

#3 - 07/22/2014 03:54 AM - Dominic Cleal

Please see the related issue and check for other models so we don't have this again.

#4 - 07/23/2014 09:39 AM - Ori Rabin

- Status changed from New to Assigned

- Assignee set to Ori Rabin

#5 - 07/24/2014 06:59 AM - Dominic Cleal

- Related to Bug #6658: creating compute resource with name more than 245 chars fails added

#6 - 07/28/2014 07:45 AM - Ori Rabin

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1593 added

- Pull request deleted ()

#7 - 07/29/2014 06:21 AM - Dominic Cleal

- Is duplicate of Bug #6694: PGError: while creating OS with long (greater than 5 chars) minor/major version values added

#8 - 07/29/2014 06:21 AM - Dominic Cleal

- Status changed from Ready For Testing to Duplicate
